Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network252.3.232.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
252.3.232.0
Broadcast address
252.3.235.255
First usable
252.3.232.1
Last usable
252.3.235.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FC03E800 · Integer 4228114432 to 4228115455
Reverse DNS zones
232.3.252.in-addr.arpa
233.3.252.in-addr.arpa
234.3.252.in-addr.arpa
235.3.252.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111100.00000011.11101000.00000000252.3.232.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network11111100.00000011.11101000.00000000252.3.232.0
Broadcast11111100.00000011.11101011.11111111252.3.235.255
Split into smaller subnets/30

252.3.232.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1252.3.232.0/30252.3.232.1 to 252.3.232.2252.3.232.32
2252.3.232.4/30252.3.232.5 to 252.3.232.6252.3.232.72
3252.3.232.8/30252.3.232.9 to 252.3.232.10252.3.232.112
4252.3.232.12/30252.3.232.13 to 252.3.232.14252.3.232.152
5252.3.232.16/30252.3.232.17 to 252.3.232.18252.3.232.192
6252.3.232.20/30252.3.232.21 to 252.3.232.22252.3.232.232
7252.3.232.24/30252.3.232.25 to 252.3.232.26252.3.232.272
8252.3.232.28/30252.3.232.29 to 252.3.232.30252.3.232.312
9252.3.232.32/30252.3.232.33 to 252.3.232.34252.3.232.352
10252.3.232.36/30252.3.232.37 to 252.3.232.38252.3.232.392
11252.3.232.40/30252.3.232.41 to 252.3.232.42252.3.232.432
12252.3.232.44/30252.3.232.45 to 252.3.232.46252.3.232.472
13252.3.232.48/30252.3.232.49 to 252.3.232.50252.3.232.512
14252.3.232.52/30252.3.232.53 to 252.3.232.54252.3.232.552
15252.3.232.56/30252.3.232.57 to 252.3.232.58252.3.232.592
16252.3.232.60/30252.3.232.61 to 252.3.232.62252.3.232.632
17252.3.232.64/30252.3.232.65 to 252.3.232.66252.3.232.672
18252.3.232.68/30252.3.232.69 to 252.3.232.70252.3.232.712
19252.3.232.72/30252.3.232.73 to 252.3.232.74252.3.232.752
20252.3.232.76/30252.3.232.77 to 252.3.232.78252.3.232.792
21252.3.232.80/30252.3.232.81 to 252.3.232.82252.3.232.832
22252.3.232.84/30252.3.232.85 to 252.3.232.86252.3.232.872
23252.3.232.88/30252.3.232.89 to 252.3.232.90252.3.232.912
24252.3.232.92/30252.3.232.93 to 252.3.232.94252.3.232.952
25252.3.232.96/30252.3.232.97 to 252.3.232.98252.3.232.992
26252.3.232.100/30252.3.232.101 to 252.3.232.102252.3.232.1032
27252.3.232.104/30252.3.232.105 to 252.3.232.106252.3.232.1072
28252.3.232.108/30252.3.232.109 to 252.3.232.110252.3.232.1112
29252.3.232.112/30252.3.232.113 to 252.3.232.114252.3.232.1152
30252.3.232.116/30252.3.232.117 to 252.3.232.118252.3.232.1192
31252.3.232.120/30252.3.232.121 to 252.3.232.122252.3.232.1232
32252.3.232.124/30252.3.232.125 to 252.3.232.126252.3.232.1272
33252.3.232.128/30252.3.232.129 to 252.3.232.130252.3.232.1312
34252.3.232.132/30252.3.232.133 to 252.3.232.134252.3.232.1352
35252.3.232.136/30252.3.232.137 to 252.3.232.138252.3.232.1392
36252.3.232.140/30252.3.232.141 to 252.3.232.142252.3.232.1432
37252.3.232.144/30252.3.232.145 to 252.3.232.146252.3.232.1472
38252.3.232.148/30252.3.232.149 to 252.3.232.150252.3.232.1512
39252.3.232.152/30252.3.232.153 to 252.3.232.154252.3.232.1552
40252.3.232.156/30252.3.232.157 to 252.3.232.158252.3.232.1592
41252.3.232.160/30252.3.232.161 to 252.3.232.162252.3.232.1632
42252.3.232.164/30252.3.232.165 to 252.3.232.166252.3.232.1672
43252.3.232.168/30252.3.232.169 to 252.3.232.170252.3.232.1712
44252.3.232.172/30252.3.232.173 to 252.3.232.174252.3.232.1752
45252.3.232.176/30252.3.232.177 to 252.3.232.178252.3.232.1792
46252.3.232.180/30252.3.232.181 to 252.3.232.182252.3.232.1832
47252.3.232.184/30252.3.232.185 to 252.3.232.186252.3.232.1872
48252.3.232.188/30252.3.232.189 to 252.3.232.190252.3.232.1912
49252.3.232.192/30252.3.232.193 to 252.3.232.194252.3.232.1952
50252.3.232.196/30252.3.232.197 to 252.3.232.198252.3.232.1992
51252.3.232.200/30252.3.232.201 to 252.3.232.202252.3.232.2032
52252.3.232.204/30252.3.232.205 to 252.3.232.206252.3.232.2072
53252.3.232.208/30252.3.232.209 to 252.3.232.210252.3.232.2112
54252.3.232.212/30252.3.232.213 to 252.3.232.214252.3.232.2152
55252.3.232.216/30252.3.232.217 to 252.3.232.218252.3.232.2192
56252.3.232.220/30252.3.232.221 to 252.3.232.222252.3.232.2232
57252.3.232.224/30252.3.232.225 to 252.3.232.226252.3.232.2272
58252.3.232.228/30252.3.232.229 to 252.3.232.230252.3.232.2312
59252.3.232.232/30252.3.232.233 to 252.3.232.234252.3.232.2352
60252.3.232.236/30252.3.232.237 to 252.3.232.238252.3.232.2392
61252.3.232.240/30252.3.232.241 to 252.3.232.242252.3.232.2432
62252.3.232.244/30252.3.232.245 to 252.3.232.246252.3.232.2472
63252.3.232.248/30252.3.232.249 to 252.3.232.250252.3.232.2512
64252.3.232.252/30252.3.232.253 to 252.3.232.254252.3.232.2552
65252.3.233.0/30252.3.233.1 to 252.3.233.2252.3.233.32
66252.3.233.4/30252.3.233.5 to 252.3.233.6252.3.233.72
67252.3.233.8/30252.3.233.9 to 252.3.233.10252.3.233.112
68252.3.233.12/30252.3.233.13 to 252.3.233.14252.3.233.152
69252.3.233.16/30252.3.233.17 to 252.3.233.18252.3.233.192
70252.3.233.20/30252.3.233.21 to 252.3.233.22252.3.233.232
71252.3.233.24/30252.3.233.25 to 252.3.233.26252.3.233.272
72252.3.233.28/30252.3.233.29 to 252.3.233.30252.3.233.312
73252.3.233.32/30252.3.233.33 to 252.3.233.34252.3.233.352
74252.3.233.36/30252.3.233.37 to 252.3.233.38252.3.233.392
75252.3.233.40/30252.3.233.41 to 252.3.233.42252.3.233.432
76252.3.233.44/30252.3.233.45 to 252.3.233.46252.3.233.472
77252.3.233.48/30252.3.233.49 to 252.3.233.50252.3.233.512
78252.3.233.52/30252.3.233.53 to 252.3.233.54252.3.233.552
79252.3.233.56/30252.3.233.57 to 252.3.233.58252.3.233.592
80252.3.233.60/30252.3.233.61 to 252.3.233.62252.3.233.632
81252.3.233.64/30252.3.233.65 to 252.3.233.66252.3.233.672
82252.3.233.68/30252.3.233.69 to 252.3.233.70252.3.233.712
83252.3.233.72/30252.3.233.73 to 252.3.233.74252.3.233.752
84252.3.233.76/30252.3.233.77 to 252.3.233.78252.3.233.792
85252.3.233.80/30252.3.233.81 to 252.3.233.82252.3.233.832
86252.3.233.84/30252.3.233.85 to 252.3.233.86252.3.233.872
87252.3.233.88/30252.3.233.89 to 252.3.233.90252.3.233.912
88252.3.233.92/30252.3.233.93 to 252.3.233.94252.3.233.952
89252.3.233.96/30252.3.233.97 to 252.3.233.98252.3.233.992
90252.3.233.100/30252.3.233.101 to 252.3.233.102252.3.233.1032
91252.3.233.104/30252.3.233.105 to 252.3.233.106252.3.233.1072
92252.3.233.108/30252.3.233.109 to 252.3.233.110252.3.233.1112
93252.3.233.112/30252.3.233.113 to 252.3.233.114252.3.233.1152
94252.3.233.116/30252.3.233.117 to 252.3.233.118252.3.233.1192
95252.3.233.120/30252.3.233.121 to 252.3.233.122252.3.233.1232
96252.3.233.124/30252.3.233.125 to 252.3.233.126252.3.233.1272
97252.3.233.128/30252.3.233.129 to 252.3.233.130252.3.233.1312
98252.3.233.132/30252.3.233.133 to 252.3.233.134252.3.233.1352
99252.3.233.136/30252.3.233.137 to 252.3.233.138252.3.233.1392
100252.3.233.140/30252.3.233.141 to 252.3.233.142252.3.233.1432
101252.3.233.144/30252.3.233.145 to 252.3.233.146252.3.233.1472
102252.3.233.148/30252.3.233.149 to 252.3.233.150252.3.233.1512
103252.3.233.152/30252.3.233.153 to 252.3.233.154252.3.233.1552
104252.3.233.156/30252.3.233.157 to 252.3.233.158252.3.233.1592
105252.3.233.160/30252.3.233.161 to 252.3.233.162252.3.233.1632
106252.3.233.164/30252.3.233.165 to 252.3.233.166252.3.233.1672
107252.3.233.168/30252.3.233.169 to 252.3.233.170252.3.233.1712
108252.3.233.172/30252.3.233.173 to 252.3.233.174252.3.233.1752
109252.3.233.176/30252.3.233.177 to 252.3.233.178252.3.233.1792
110252.3.233.180/30252.3.233.181 to 252.3.233.182252.3.233.1832
111252.3.233.184/30252.3.233.185 to 252.3.233.186252.3.233.1872
112252.3.233.188/30252.3.233.189 to 252.3.233.190252.3.233.1912
113252.3.233.192/30252.3.233.193 to 252.3.233.194252.3.233.1952
114252.3.233.196/30252.3.233.197 to 252.3.233.198252.3.233.1992
115252.3.233.200/30252.3.233.201 to 252.3.233.202252.3.233.2032
116252.3.233.204/30252.3.233.205 to 252.3.233.206252.3.233.2072
117252.3.233.208/30252.3.233.209 to 252.3.233.210252.3.233.2112
118252.3.233.212/30252.3.233.213 to 252.3.233.214252.3.233.2152
119252.3.233.216/30252.3.233.217 to 252.3.233.218252.3.233.2192
120252.3.233.220/30252.3.233.221 to 252.3.233.222252.3.233.2232
121252.3.233.224/30252.3.233.225 to 252.3.233.226252.3.233.2272
122252.3.233.228/30252.3.233.229 to 252.3.233.230252.3.233.2312
123252.3.233.232/30252.3.233.233 to 252.3.233.234252.3.233.2352
124252.3.233.236/30252.3.233.237 to 252.3.233.238252.3.233.2392
125252.3.233.240/30252.3.233.241 to 252.3.233.242252.3.233.2432
126252.3.233.244/30252.3.233.245 to 252.3.233.246252.3.233.2472
127252.3.233.248/30252.3.233.249 to 252.3.233.250252.3.233.2512
128252.3.233.252/30252.3.233.253 to 252.3.233.254252.3.233.2552
129252.3.234.0/30252.3.234.1 to 252.3.234.2252.3.234.32
130252.3.234.4/30252.3.234.5 to 252.3.234.6252.3.234.72
131252.3.234.8/30252.3.234.9 to 252.3.234.10252.3.234.112
132252.3.234.12/30252.3.234.13 to 252.3.234.14252.3.234.152
133252.3.234.16/30252.3.234.17 to 252.3.234.18252.3.234.192
134252.3.234.20/30252.3.234.21 to 252.3.234.22252.3.234.232
135252.3.234.24/30252.3.234.25 to 252.3.234.26252.3.234.272
136252.3.234.28/30252.3.234.29 to 252.3.234.30252.3.234.312
137252.3.234.32/30252.3.234.33 to 252.3.234.34252.3.234.352
138252.3.234.36/30252.3.234.37 to 252.3.234.38252.3.234.392
139252.3.234.40/30252.3.234.41 to 252.3.234.42252.3.234.432
140252.3.234.44/30252.3.234.45 to 252.3.234.46252.3.234.472
141252.3.234.48/30252.3.234.49 to 252.3.234.50252.3.234.512
142252.3.234.52/30252.3.234.53 to 252.3.234.54252.3.234.552
143252.3.234.56/30252.3.234.57 to 252.3.234.58252.3.234.592
144252.3.234.60/30252.3.234.61 to 252.3.234.62252.3.234.632
145252.3.234.64/30252.3.234.65 to 252.3.234.66252.3.234.672
146252.3.234.68/30252.3.234.69 to 252.3.234.70252.3.234.712
147252.3.234.72/30252.3.234.73 to 252.3.234.74252.3.234.752
148252.3.234.76/30252.3.234.77 to 252.3.234.78252.3.234.792
149252.3.234.80/30252.3.234.81 to 252.3.234.82252.3.234.832
150252.3.234.84/30252.3.234.85 to 252.3.234.86252.3.234.872
151252.3.234.88/30252.3.234.89 to 252.3.234.90252.3.234.912
152252.3.234.92/30252.3.234.93 to 252.3.234.94252.3.234.952
153252.3.234.96/30252.3.234.97 to 252.3.234.98252.3.234.992
154252.3.234.100/30252.3.234.101 to 252.3.234.102252.3.234.1032
155252.3.234.104/30252.3.234.105 to 252.3.234.106252.3.234.1072
156252.3.234.108/30252.3.234.109 to 252.3.234.110252.3.234.1112
157252.3.234.112/30252.3.234.113 to 252.3.234.114252.3.234.1152
158252.3.234.116/30252.3.234.117 to 252.3.234.118252.3.234.1192
159252.3.234.120/30252.3.234.121 to 252.3.234.122252.3.234.1232
160252.3.234.124/30252.3.234.125 to 252.3.234.126252.3.234.1272
161252.3.234.128/30252.3.234.129 to 252.3.234.130252.3.234.1312
162252.3.234.132/30252.3.234.133 to 252.3.234.134252.3.234.1352
163252.3.234.136/30252.3.234.137 to 252.3.234.138252.3.234.1392
164252.3.234.140/30252.3.234.141 to 252.3.234.142252.3.234.1432
165252.3.234.144/30252.3.234.145 to 252.3.234.146252.3.234.1472
166252.3.234.148/30252.3.234.149 to 252.3.234.150252.3.234.1512
167252.3.234.152/30252.3.234.153 to 252.3.234.154252.3.234.1552
168252.3.234.156/30252.3.234.157 to 252.3.234.158252.3.234.1592
169252.3.234.160/30252.3.234.161 to 252.3.234.162252.3.234.1632
170252.3.234.164/30252.3.234.165 to 252.3.234.166252.3.234.1672
171252.3.234.168/30252.3.234.169 to 252.3.234.170252.3.234.1712
172252.3.234.172/30252.3.234.173 to 252.3.234.174252.3.234.1752
173252.3.234.176/30252.3.234.177 to 252.3.234.178252.3.234.1792
174252.3.234.180/30252.3.234.181 to 252.3.234.182252.3.234.1832
175252.3.234.184/30252.3.234.185 to 252.3.234.186252.3.234.1872
176252.3.234.188/30252.3.234.189 to 252.3.234.190252.3.234.1912
177252.3.234.192/30252.3.234.193 to 252.3.234.194252.3.234.1952
178252.3.234.196/30252.3.234.197 to 252.3.234.198252.3.234.1992
179252.3.234.200/30252.3.234.201 to 252.3.234.202252.3.234.2032
180252.3.234.204/30252.3.234.205 to 252.3.234.206252.3.234.2072
181252.3.234.208/30252.3.234.209 to 252.3.234.210252.3.234.2112
182252.3.234.212/30252.3.234.213 to 252.3.234.214252.3.234.2152
183252.3.234.216/30252.3.234.217 to 252.3.234.218252.3.234.2192
184252.3.234.220/30252.3.234.221 to 252.3.234.222252.3.234.2232
185252.3.234.224/30252.3.234.225 to 252.3.234.226252.3.234.2272
186252.3.234.228/30252.3.234.229 to 252.3.234.230252.3.234.2312
187252.3.234.232/30252.3.234.233 to 252.3.234.234252.3.234.2352
188252.3.234.236/30252.3.234.237 to 252.3.234.238252.3.234.2392
189252.3.234.240/30252.3.234.241 to 252.3.234.242252.3.234.2432
190252.3.234.244/30252.3.234.245 to 252.3.234.246252.3.234.2472
191252.3.234.248/30252.3.234.249 to 252.3.234.250252.3.234.2512
192252.3.234.252/30252.3.234.253 to 252.3.234.254252.3.234.2552
193252.3.235.0/30252.3.235.1 to 252.3.235.2252.3.235.32
194252.3.235.4/30252.3.235.5 to 252.3.235.6252.3.235.72
195252.3.235.8/30252.3.235.9 to 252.3.235.10252.3.235.112
196252.3.235.12/30252.3.235.13 to 252.3.235.14252.3.235.152
197252.3.235.16/30252.3.235.17 to 252.3.235.18252.3.235.192
198252.3.235.20/30252.3.235.21 to 252.3.235.22252.3.235.232
199252.3.235.24/30252.3.235.25 to 252.3.235.26252.3.235.272
200252.3.235.28/30252.3.235.29 to 252.3.235.30252.3.235.312
201252.3.235.32/30252.3.235.33 to 252.3.235.34252.3.235.352
202252.3.235.36/30252.3.235.37 to 252.3.235.38252.3.235.392
203252.3.235.40/30252.3.235.41 to 252.3.235.42252.3.235.432
204252.3.235.44/30252.3.235.45 to 252.3.235.46252.3.235.472
205252.3.235.48/30252.3.235.49 to 252.3.235.50252.3.235.512
206252.3.235.52/30252.3.235.53 to 252.3.235.54252.3.235.552
207252.3.235.56/30252.3.235.57 to 252.3.235.58252.3.235.592
208252.3.235.60/30252.3.235.61 to 252.3.235.62252.3.235.632
209252.3.235.64/30252.3.235.65 to 252.3.235.66252.3.235.672
210252.3.235.68/30252.3.235.69 to 252.3.235.70252.3.235.712
211252.3.235.72/30252.3.235.73 to 252.3.235.74252.3.235.752
212252.3.235.76/30252.3.235.77 to 252.3.235.78252.3.235.792
213252.3.235.80/30252.3.235.81 to 252.3.235.82252.3.235.832
214252.3.235.84/30252.3.235.85 to 252.3.235.86252.3.235.872
215252.3.235.88/30252.3.235.89 to 252.3.235.90252.3.235.912
216252.3.235.92/30252.3.235.93 to 252.3.235.94252.3.235.952
217252.3.235.96/30252.3.235.97 to 252.3.235.98252.3.235.992
218252.3.235.100/30252.3.235.101 to 252.3.235.102252.3.235.1032
219252.3.235.104/30252.3.235.105 to 252.3.235.106252.3.235.1072
220252.3.235.108/30252.3.235.109 to 252.3.235.110252.3.235.1112
221252.3.235.112/30252.3.235.113 to 252.3.235.114252.3.235.1152
222252.3.235.116/30252.3.235.117 to 252.3.235.118252.3.235.1192
223252.3.235.120/30252.3.235.121 to 252.3.235.122252.3.235.1232
224252.3.235.124/30252.3.235.125 to 252.3.235.126252.3.235.1272
225252.3.235.128/30252.3.235.129 to 252.3.235.130252.3.235.1312
226252.3.235.132/30252.3.235.133 to 252.3.235.134252.3.235.1352
227252.3.235.136/30252.3.235.137 to 252.3.235.138252.3.235.1392
228252.3.235.140/30252.3.235.141 to 252.3.235.142252.3.235.1432
229252.3.235.144/30252.3.235.145 to 252.3.235.146252.3.235.1472
230252.3.235.148/30252.3.235.149 to 252.3.235.150252.3.235.1512
231252.3.235.152/30252.3.235.153 to 252.3.235.154252.3.235.1552
232252.3.235.156/30252.3.235.157 to 252.3.235.158252.3.235.1592
233252.3.235.160/30252.3.235.161 to 252.3.235.162252.3.235.1632
234252.3.235.164/30252.3.235.165 to 252.3.235.166252.3.235.1672
235252.3.235.168/30252.3.235.169 to 252.3.235.170252.3.235.1712
236252.3.235.172/30252.3.235.173 to 252.3.235.174252.3.235.1752
237252.3.235.176/30252.3.235.177 to 252.3.235.178252.3.235.1792
238252.3.235.180/30252.3.235.181 to 252.3.235.182252.3.235.1832
239252.3.235.184/30252.3.235.185 to 252.3.235.186252.3.235.1872
240252.3.235.188/30252.3.235.189 to 252.3.235.190252.3.235.1912
241252.3.235.192/30252.3.235.193 to 252.3.235.194252.3.235.1952
242252.3.235.196/30252.3.235.197 to 252.3.235.198252.3.235.1992
243252.3.235.200/30252.3.235.201 to 252.3.235.202252.3.235.2032
244252.3.235.204/30252.3.235.205 to 252.3.235.206252.3.235.2072
245252.3.235.208/30252.3.235.209 to 252.3.235.210252.3.235.2112
246252.3.235.212/30252.3.235.213 to 252.3.235.214252.3.235.2152
247252.3.235.216/30252.3.235.217 to 252.3.235.218252.3.235.2192
248252.3.235.220/30252.3.235.221 to 252.3.235.222252.3.235.2232
249252.3.235.224/30252.3.235.225 to 252.3.235.226252.3.235.2272
250252.3.235.228/30252.3.235.229 to 252.3.235.230252.3.235.2312
251252.3.235.232/30252.3.235.233 to 252.3.235.234252.3.235.2352
252252.3.235.236/30252.3.235.237 to 252.3.235.238252.3.235.2392
253252.3.235.240/30252.3.235.241 to 252.3.235.242252.3.235.2432
254252.3.235.244/30252.3.235.245 to 252.3.235.246252.3.235.2472
255252.3.235.248/30252.3.235.249 to 252.3.235.250252.3.235.2512
256252.3.235.252/30252.3.235.253 to 252.3.235.254252.3.235.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses